package intrinsic.flash.geom;

public class Matrix extends Object {

	/** Accessors */

	/** Variables */
	public double b;
	public double d;
	public double c;
	public double tx;
	public double ty;
	public double a;

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public Matrix() {
}

public Matrix(double arg0) {
}

public Matrix(double arg0, double arg1) {
}

public Matrix(double arg0, double arg1, double arg2) {
}

public Matrix(double arg0, double arg1, double arg2, double arg3) {
}

public Matrix(double arg0, double arg1, double arg2, double arg3, double arg4) {
}

public Matrix(double arg0, double arg1, double arg2, double arg3, double arg4, double arg5) {
}


/** Static Methods */

/** Methods */
public native void translate(double arg0, double arg1);
public native intrinsic.flash.geom.Point transformPoint(intrinsic.flash.geom.Point arg0);
public native String toString();
public native void createGradientBox(double arg0, double arg1);
public native void createGradientBox(double arg0, double arg1, double arg2);
public native void createGradientBox(double arg0, double arg1, double arg2, double arg3);
public native void createGradientBox(double arg0, double arg1, double arg2, double arg3, double arg4);
public native void createBox(double arg0, double arg1);
public native void createBox(double arg0, double arg1, double arg2);
public native void createBox(double arg0, double arg1, double arg2, double arg3);
public native void createBox(double arg0, double arg1, double arg2, double arg3, double arg4);
public native void concat(intrinsic.flash.geom.Matrix arg0);
public native intrinsic.flash.geom.Point deltaTransformPoint(intrinsic.flash.geom.Point arg0);
public native void invert();
public native void identity();
public native Object clone();
public native void rotate(double arg0);
public native void scale(double arg0, double arg1);

}
